#include <stdio.h>
int main()
{
    int x;
    scanf("%d", &x);
    double zarada[x], porez[x], temp[x];
    for(int i = 0; i < x; i++)
    {
        scanf("%lf%lf", &zarada[i], &porez[i]);
    }
    for(int i = 0; i < x; i++)
    {
        for(int j = 0; j < x; i++)
        {
            temp[i] = temp[i] + (zarada[j] * porez[i]);
        }
    }
    printf("%lf\n%lf\n%lf\n%lf", temp[0], temp[1], temp[2], temp[3]);


    return 0;
}